HeaderBar (gCube Templates Portlet 4.4.0-SNAPSHOT API)
Date: 2013-07-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.templates.client
Class HeaderBar

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.gcube.portlets.user.templates.client.HeaderBar

All Implemented Interfaces:
  com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

    public class HeaderBar

extends com.google.gwt.user.client.ui.Composite

`HeaderBar` class is the top bar component of the UI

Version:
  March 2013
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

Nested Class Summary
`protected class` | `HeaderBar.SaveReportPopUp` Inner class for save popup

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`HeaderBar(Presenter c)` Constructor

Method Summary
`com.google.gwt.user.client.Command` | `getImportTemplateCommand()`
`com.google.gwt.user.client.ui.MenuItem` | `getInsertMenu()`
`com.google.gwt.user.client.ui.CellPanel` | `getMainLayout()`
`com.google.gwt.user.client.Command` | `getNewTemplate()`
`com.google.gwt.user.client.Command` | `getNullCommand()` temporary command
`com.google.gwt.user.client.Command` | `getOpenTemplate()`
`void` | `setModel(TemplateModel model)`
`void` | `setTemplateName(String name)` changes the template name label in the UI

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getWidget, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, performDetachedInitialization, render, render, resolvePotentialElement, setWidget, wrapElement`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HeaderBar

    public HeaderBar(Presenter c)

  Constructor

  Parameters:
    `c` - the controller instance for this UI component

Method Detail

### getNullCommand

    public com.google.gwt.user.client.Command getNullCommand()

  temporary command

  Returns:
    the command instance

### getInsertMenu

    public com.google.gwt.user.client.ui.MenuItem getInsertMenu()

  Returns:

### getImportTemplateCommand

    public com.google.gwt.user.client.Command getImportTemplateCommand()

### setTemplateName

    public void setTemplateName(String name)

  changes the template name label in the UI

  Parameters:
    `name` - .

### setModel

    public void setModel(TemplateModel model)

  Parameters:
    `model` - .

### getOpenTemplate

    public com.google.gwt.user.client.Command getOpenTemplate()

  Returns:
    .

### getNewTemplate

    public com.google.gwt.user.client.Command getNewTemplate()

  Returns:
    .

### getMainLayout

    public com.google.gwt.user.client.ui.CellPanel getMainLayout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.